<%@ page language="java" import="java.util.*" pageEncoding="gbk"%>
<!DOCTYPE html>
<html>
<head lang="en">
	<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
 	<%@include file="../../../frame/assets/header-all.jsp"%>
	<style>
	.form-line .text-content{
		width:120px;
	}
	</style>
</head>
<body class="easyui-layout">
<form id="childform" class="easyui-form" data-options="novalidate:true">
	<input id="xh" type="hidden" />
	<div class="form-line clearfix" >
		<div class="fl">
			<span class="text-content"><em class="must"></em>设备类型：</span> 
			<input id="sblx" class="easyui-combobox" data-options="valueField:'id', textField:'text',panelHeight:'auto'" missingMessage="设备类型必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must">*</em>设备名称：</span> 
			<input id="sbmc" class="easyui-textbox" data-options="required:true,validType:'length[0,128]'" missingMessage="设备名称必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>编码规则：</span> 
			<input id="bmgz" class="easyui-textbox" data-options="required:false,validType:'length[0,128]'" missingMessage="编码规则必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>是否启用：</span> 
			<input id="sfqy" class="easyui-combobox" data-options="valueField:'id', textField:'text',panelHeight:'auto'" missingMessage="是否启用必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>编码长度：</span> 
			<input id="bmcd" class="easyui-textbox" data-options="required:false,validType:'length[0,40]'" missingMessage="编码长度必填项" > 
		</div> 
		<div class="fl">
			<span class="text-content"><em class="must"></em>规则说明：</span> 
			<input id="gzsm" class="easyui-textbox" data-options="required:false,validType:'length[0,256]'" missingMessage="规则说明必填项" > 
		</div> 
	</div>
	<div class="form-line clearfix">
		<div class="fl">
			<span class="text-content"><em class="must"></em>备注：</span> 
			<input id="bz" class="easyui-textbox" data-options="multiline:true" style="width:300px;height:60px" missingMessage="备注必填项" > 
		</div> 
	</div>

	<div class="form-line hidden">
		 
	</div>
</form>
</body>
</html>
<script type="text/javascript">
var winId	= $.getUrlParam("winId");
var records = top.$("#"+winId).panel("options").data;
$(function(){
	//加载下拉选项
	$('#sblx').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=nhywjtsblx',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	});
	$('#sfqy').combobox({
		 url:'xtclAction!query_Xtcl.do?csdl=nhywSfqy',
		 textField:"csmc",  
		 valueField:"csdm",
		 panelWidth:148,
		 value:"1" 
	});
	setTimeout(loadValue,500);
});
function loadValue(){
	if(records){
		$("#xh").val(records.xh);
		$("#sblx").combobox("setValue",records.sblx);
		$("#sbmc").textbox("setValue",records.sbmc);
		$("#bmgz").textbox("setValue",records.bmgz);
		$("#gzsm").textbox("setValue",records.gzsm);
		$("#bmcd").textbox("setValue",records.bmcd);
		$("#sfqy").combobox("setValue",records.sfqy);
		$("#bz").textbox("setValue",records.bz);
		/*$("#cjry").textbox("setValue",records.cjry);
		$("#cjrq").textbox("setValue",records.cjrq);
		$("#xgry").textbox("setValue",records.xgry);
		$("#xgrq").textbox("setValue",records.xgrq);
		$("#kz1").textbox("setValue",records.kz1);
		$("#kz2").textbox("setValue",records.kz2);
		$("#kz3").textbox("setValue",records.kz3);
		$("#kz4").textbox("setValue",records.kz4);*/

	}else{
		
	}
}
</script>
